org.apache.ode.tools.sendsoap.cline

## Class HttpSoapSender

- java.lang.Object
- - org.apache.ode.utils.cli.BaseCommandlineTool
  - - org.apache.ode.tools.sendsoap.cline.HttpSoapSender

-     public class HttpSoapSender
      extends BaseCommandlineTool

  Commandline tool to send the contents of a (binary) file to a URL.

- - ### Field Summary

    - ### Fields inherited from class org.apache.ode.utils.cli.BaseCommandlineTool

      `EFFUSIVE, HELP, HELP_FLAG, LOGGING, QUIET_F, TERSE, VERBOSE, VERBOSE_F, VERYVERBOSE_F`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpSoapSender()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `doSend(java.net.URL u, java.io.InputStream is, java.lang.String proxyServer, int proxyPort, java.lang.String username, java.lang.String password, java.lang.String soapAction)`
    `protected static java.lang.String` | `getProgramName()`
    `static void` | `main(java.lang.String[] argv)`

    - ### Methods inherited from class org.apache.ode.utils.cli.BaseCommandlineTool

      `consoleErr, initLogFile, initLogFile, initLogging, initLogging, outputHeader, registerTempFileManager, setClazz`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpSoapSender

          public HttpSoapSender()

  - ### Method Detail

    - #### getProgramName

          protected static java.lang.String getProgramName()

    - #### doSend

          public static java.lang.String doSend(java.net.URL u,
                                                java.io.InputStream is,
                                                java.lang.String proxyServer,
                                                int proxyPort,
                                                java.lang.String username,
                                                java.lang.String password,
                                                java.lang.String soapAction)
                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### main

          public static void main(java.lang.String[] argv)